VERSION 5.00
Begin VB.Form frmAutoRun 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "AutoRun"
   ClientHeight    =   4785
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5940
   BeginProperty Font 
      Name            =   "Trebuchet MS"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4785
   ScaleWidth      =   5940
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdAbort 
      Caption         =   "Abbrechen"
      Height          =   330
      Left            =   3330
      TabIndex        =   6
      Top             =   4365
      Width           =   1230
   End
   Begin VB.CommandButton cmdSave 
      Caption         =   "Speichern"
      Height          =   330
      Left            =   4590
      TabIndex        =   5
      Top             =   4365
      Width           =   1230
   End
   Begin VB.Frame fraAutoLogin 
      Caption         =   "Auto-Login"
      Height          =   2670
      Left            =   90
      TabIndex        =   8
      Top             =   1575
      Width           =   5730
      Begin VB.TextBox txtUsername 
         Enabled         =   0   'False
         Height          =   360
         Left            =   1350
         TabIndex        =   3
         Top             =   630
         Width           =   4245
      End
      Begin VB.TextBox txtPassword 
         Enabled         =   0   'False
         Height          =   360
         IMEMode         =   3  'DISABLE
         Left            =   1350
         PasswordChar    =   "*"
         TabIndex        =   4
         Top             =   1035
         Width           =   4245
      End
      Begin VB.CheckBox chkAutoLogin 
         Caption         =   "Automatische Windows-Anmeldung aktivieren"
         Height          =   240
         Left            =   135
         TabIndex        =   2
         Top             =   315
         Width           =   5460
      End
      Begin VB.Line lnSeperator 
         BorderColor     =   &H8000000B&
         X1              =   90
         X2              =   5625
         Y1              =   1485
         Y2              =   1485
      End
      Begin VB.Label lblWarning 
         Caption         =   $"frmAutoRun.frx":0000
         Enabled         =   0   'False
         Height          =   960
         Left            =   135
         TabIndex        =   11
         Top             =   1620
         Width           =   5460
      End
      Begin VB.Label lblUsername 
         Caption         =   "Benutzername:"
         Enabled         =   0   'False
         Height          =   240
         Left            =   135
         TabIndex        =   10
         Top             =   720
         Width           =   1185
      End
      Begin VB.Label lblPassword 
         Caption         =   "Kennwort:"
         Enabled         =   0   'False
         Height          =   240
         Left            =   135
         TabIndex        =   9
         Top             =   1125
         Width           =   1185
      End
   End
   Begin VB.Frame fraOptions 
      Caption         =   "Auto-Run Optionen"
      Height          =   1320
      Left            =   90
      TabIndex        =   7
      Top             =   135
      Width           =   5730
      Begin VB.OptionButton optNoRun 
         Caption         =   "Programm nicht automatisch ausfhren"
         Height          =   240
         Left            =   90
         TabIndex        =   12
         Top             =   945
         Width           =   5505
      End
      Begin VB.OptionButton optRunOnce 
         Caption         =   "Programm nur beim nchsten Windows-Start automatisch ausfhren"
         Height          =   240
         Left            =   90
         TabIndex        =   1
         Top             =   630
         Width           =   5505
      End
      Begin VB.OptionButton optRun 
         Caption         =   "Programm bei jedem Windows-Start automatisch ausfhren"
         Height          =   240
         Left            =   90
         TabIndex        =   0
         Top             =   315
         Width           =   5505
      End
   End
End
Attribute VB_Name = "frmAutoRun"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'Dieser Source stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source !

'Deklaration Konstanten
Private Const csAppName As String = "AutoRun"

Private Sub chkAutoLogin_Click()
    'Deklaration Variablen
    Dim bMode As Boolean
    
    bMode = chkAutoLogin.Value
    
    'Eingabe-Felder de-/aktivieren
    lblUsername.Enabled = bMode
    txtUsername.Enabled = bMode
    lblPassword.Enabled = bMode
    txtPassword.Enabled = bMode
    lblWarning.Enabled = bMode
    
    'Auto-Login de-/aktiviert?
    If bMode Then
        
        'Trennlinie durch Simulation der Farb-Anpassung aktivieren
        lnSeperator.BorderColor = &H80000008
        
        'Eingabe-Cursor automatisch auf Kennwort-Feld setzen
        txtPassword.SetFocus
    Else
        'Trennlinie durch Simulation der Farb-Anpassung deaktivieren
        lnSeperator.BorderColor = &H8000000B
    End If
End Sub

Private Sub cmdAbort_Click()
    'Programm beenden
    Unload Me
End Sub

Private Sub cmdSave_Click()
    'Auto-Login de-/aktiviert?
    If chkAutoLogin.Value Then
        'Benutzername und Kennwort eingegeben?
        If Len(txtUsername.Text) = 0 Or _
            Len(txtPassword.Text) = 0 Then
            'Fehlermeldung, falls Benutzername und Kennwort
            'nicht eingegeben wurden
            MsgBox "Die automatische Windows-Anmeldung " & _
              "darf keinen leeren Bentutzername und Kennwort " & _
              "enthalten.", vbCritical, "Auto-Login:"
            
            Exit Sub
        Else
            'Auto-Login in die Registry eintragen
            SetAutoLogin txtUsername.Text, txtPassword.Text
        End If
    Else
        'Auto-Login aus der Registry entfernen
        DeleteAutoLogin
    End If

    'Erste Option gewhlt? (Programm immer starten)
    If optRun.Value Then
        'Programm aus Key "RunOnce" entfernen und in Key
        '"Run" eintragen
        DeleteAutoRunOnce csAppName
        SetAutoRun csAppName, App.Path & "\" & App.EXEName
    End If
    
    'Zweite Option gewhlt? (Programm einmalig starten)
    If optRunOnce.Value Then
        'Programm aus Key "Run" entfernen und in Key "RunOnce"
        'eintragen
        DeleteAutoRun csAppName
        SetAutoRunOnce csAppName, App.Path & "\" & App.EXEName
    End If
    
    'Dritte Option gewhlt? (Programm nie starten)
    If optNoRun.Value Then
        'Programm aus Key "Run" und "RunOnce" entfernen
        DeleteAutoRun csAppName
        DeleteAutoRunOnce csAppName
    End If
End Sub


Private Sub Form_Load()
    'Standard-Benutzername aus der Registry lesen
    txtUsername.Text = GetDefaultUsername
    
    'Programm aus Key "RunOnce" entfernen, falls es nur
    'einmalig starten soll
    DeleteAutoRunOnce csAppName
End Sub
